Update Personal Mobile API
Call this API after the user logs in to update their personal mobile number.
Request Description
Request Headers
| Parameter Name | Name | Required | Type | Description |
|---|---|---|---|---|
| X-operating-sys-version | Caller operating system version | Yes | String | windows10.1.1 |
| X-device-fingerprint | Caller device fingerprint | Yes | String | 156aysdna213sc50 |
| X-device-ip | Caller IP | No | String | 192.168.1.2 |
| X-agent | User-Agent information | Yes | String | Mozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15(KHTML, like Gecko) Mobile/15E148/HuaWei-AnyOffice/2.6.1802.0010/com.huawei.cloudlink.workplace |
| X-L | Used for internationalization language setting | No | String | zh |
| X-client-id | Application authorization ID | Yes | String | nTo1eRIub60vPb54WeE6aojPwYwImtl4 |
| Authorization | IDtoken returned by the user login API. Format is Bearer {id_token} | Yes | String | Bearer eyJraWQiOiI1ZWZhN2ZmZDA2Z... |
Request Example
json
{
"mobile": "15201657312",
"verify_code": "123456"
}Request Parameters
| Parameter Name | Name | Required | Type | Description |
|---|---|---|---|---|
| mobile | New mobile number | Yes | String | New mobile number to be updated |
| verify_code | SMS verification code | Yes | String | Verification code received by the new mobile number For how to obtain the verification code, refer to the Send SMS Verification Code API type = UPDATE_MOBILE_SMS |
Response Examples
Success Example
HTTP/1.1 200 OK
json
Error Example
HTTP/1.1 400 Bad Request
json
{
"error_code": "SDK.COMMON.1001",
"error_msg": "Parameter X-client-id cannot be left blank."
}Response Parameters
None